Get Template
POST
https://picnie.com/api/v1/get-templateRetrieve the contents of a template using its template_id.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
template_id* | string | The ID of the template. Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/get-template"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"template_id": "2075"
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"complete_object": {
"name": "Simple Happy Thanksgiving",
"type": "Image",
"details": [
{
"name": "background_image",
"image_url": "https://picnie.com/data/api_raw_assets/image_bg_0_20240115005952.png"
},
{
"name": "Title_0",
"type": "text",
"font_size": 17,
"font_family": "Roboto-Regular.ttf",
"text_color": "139,66,54",
"text": "Wishing you a warm and Happy Thanksgiving! May your day be filled with love, laughter, and the comforting embrace of family and friends.",
"angle": 0,
"dest_x": 23.15,
"dest_y": 54.06,
"max_length": 53.24,
"max_lines": 3,
"letter_spacing": 0,
"input_line_height": 1.2,
"text_align": "center"
},
{
"name": "Title_1",
"type": "text",
"font_size": 100,
"font_family": "DancingScript-Bold.ttf",
"text_color": "139,66,54",
"text": "Happy",
"angle": 0,
"dest_x": 20.97,
"dest_y": 24.51,
"max_length": 57.59,
"max_lines": 1,
"letter_spacing": 0,
"input_line_height": 1.2,
"text_align": "center"
},
{
"name": "Title_2",
"type": "text",
"font_size": 100,
"font_family": "DancingScript-Bold.ttf",
"text_color": "139,66,54",
"text": "Thanksgiving",
"angle": 0,
"dest_x": 15.96,
"dest_y": 37.38,
"max_length": 67.59,
"max_lines": 1,
"letter_spacing": 0,
"input_line_height": 1.2,
"text_align": "center"
},
{
"name": "Title_3",
"type": "text",
"font_size": 17,
"font_family": "Roboto-Regular.ttf",
"text_color": "139,66,54",
"text": "@reallygreatsite",
"angle": 0,
"dest_x": 23.15,
"dest_y": 75.28,
"max_length": 53.24,
"max_lines": 1,
"letter_spacing": 0,
"input_line_height": 1.2,
"text_align": "center"
}
]
},
"user_object": {
"template_id": 2075,
"template_name": "Simple Happy Thanksgiving",
"type": "image",
"details": [
{
"name": "background_image",
"image_url": "https://picnie.com/data/api_raw_assets/image_bg_0_20240115005952.png"
},
{
"name": "Title_0",
"text": "Wishing you a warm and Happy Thanksgiving! May your day be filled with love, laughter, and the comforting embrace of family and friends."
},
{
"name": "Title_1",
"text": "Happy"
},
{
"name": "Title_2",
"text": "Thanksgiving"
},
{
"name": "Title_3",
"text": "@reallygreatsite"
}
]
}
}